#
# https://github.com/asciidoctor/asciidoctor-pdf/blob/master/docs/theming-guide.adoc
#
# asciidoctor-pdf -a pdf-theme=theme.yml -a pdf-fontsdir=fonts PacketFence_Clustering_Guide.asciidoc --trace
#

font:
  catalog:
    # Noto Serif supports Latin, Latin-1 Supplement, Latin Extended-A, Greek, Cyrillic, Vietnamese & an assortment of symbols
    #Noto Serif:
    #  normal: notoserif-regular-subset.ttf
    #  bold: notoserif-bold-subset.ttf
    #  italic: notoserif-italic-subset.ttf
    #  bold_italic: notoserif-bold_italic-subset.ttf
    Lato-Light:
      normal: lato/Lato-Light.ttf
      bold: lato/Lato-Regular.ttf
      italic: lato/Lato-LightItalic.ttf
      bold_italic: lato/Lato-Italic.ttf
    # M+ 1mn supports ASCII and the circled numbers used for conums
    #M+ 1mn:
    #  normal: mplus1mn-regular-subset.ttf
    #  bold: mplus1mn-bold-subset.ttf
    #  italic: mplus1mn-italic-subset.ttf
    #  bold_italic: mplus1mn-bold_italic-subset.ttf
    Inconsolata:
      normal: inconsolata.ttf
      bold: inconsolata.ttf
      italic: inconsolata.ttf
      bold_italic: inconsolata.ttf
page:
  background_color: FFFFFF
  layout: portrait
  initial_zoom: FitH
  margin: [1in, 1in, 1in, 1in]
  # margin_inner and margin_outer keys are used for recto/verso print margins when media=prepress
  margin_inner: 1in
  margin_outer: 1in
  size: Letter
base:
  align: justify
  # color as hex string (leading # is optional)
  font_color: 333333
  font_color: 000000
  # color as RGB array
  #font_color: [51, 51, 51]
  # color as CMYK array (approximated)
  #font_color: [0, 0, 0, 0.92]
  #font_color: [0, 0, 0, 92%]
  font_family: Lato-Light
  # choose one of these font_size/line_height_length combinations
  #font_size: 14
  #line_height_length: 20
  #font_size: 11.25
  #line_height_length: 18
  #font_size: 11.2
  #line_height_length: 16
  font_size: 10
  #line_height_length: 15
  # correct line height for Noto Serif metrics
  line_height_length: 10
  #font_size: 11.25
  #line_height_length: 18
  line_height: $base_line_height_length / $base_font_size
  font_size_large: round($base_font_size * 1.25)
  font_size_small: round($base_font_size * 0.85)
  font_size_min: $base_font_size * 0.75
  font_style: normal
  border_color: EEEEEE
  border_radius: 4
  border_width: 0.5
section:
  indent: [0.67in, 0]
role:
  line-through:
    text_decoration: line-through
  underline:
    text_decoration: underline
  big:
    font_size: $base_font_size_large
  small:
    font_size: $base_font_size_small
  subtitle:
    font_size: 0.8em
    font_color: 999999
# FIXME vertical_rhythm is weird; we should think in terms of ems
#vertical_rhythm: $base_line_height_length * 2 / 3
# correct line height for Noto Serif metrics (comes with built-in line height)
vertical_rhythm: $base_line_height_length
horizontal_rhythm: $base_line_height_length
# QUESTION should vertical_spacing be block_spacing instead?
vertical_spacing: $vertical_rhythm
link:
  font_color: 428BCA
  font_color: 007BFF
# literal is currently used for inline monospaced in prose and table cells
literal:
  font_color: 333333
  font_color: B12146
  font_color: E83E8C
  font_family: Inconsolata
button:
  content: "[\u2009%s\u2009]"
  font_style: bold
key:
  background_color: F5F5F5
  background_color: F8F8F8
  border_color: CCCCCC
  border_offset: 2
  border_radius: 2
  border_width: 0.5
  font_family: $literal_font_family
  separator: "\u202f+\u202f"
mark:
  background_color: FFFF00
  border_offset: 1
menu:
  caret_content: " <font size=\"1.15em\"><color rgb=\"b12146\">\u203a</color></font> "
heading:
  align: left
  font_color: $base_font_color
  font_style: bold
  # h1 is used for part titles (book doctype) or the doctitle (article doctype)
  h1_font_size: floor($base_font_size * 2.6)
  # h2 is used for chapter titles (book doctype only)
  h2_font_size: floor($base_font_size * 2.15)
  h3_font_size: round($base_font_size * 1.7)
  h4_font_size: $base_font_size_large
  h5_font_size: $base_font_size
  h6_font_size: $base_font_size_small
  #line_height: 1.4
  # correct line height for Noto Serif metrics (comes with built-in line height)
  line_height: 1
  margin_top: $vertical_rhythm * 0.4
  margin_bottom: $vertical_rhythm * 0.9
  min_height_after: $base_line_height_length * 1.5
  h2-margin_bottom: 60
  #h2-text_decoration: underline
title_page:
  align: right
  logo:
    top: 10%
  title:
    top: 55%
    font_size: $heading_h1_font_size
    font_color: 999999
    font_color: $base_font_color
    line_height: 0.9
  subtitle:
    font_size: $heading_h3_font_size
    font_style: bold_italic
    line_height: 1
  authors:
    margin_top: $base_font_size * 1.25
    font_size: $base_font_size_large
    font_color: 181818
  revision:
    margin_top: $base_font_size * 1.25
block:
  margin_top: 0
  margin_bottom: $vertical_rhythm
caption:
  align: left
  font_size: $base_font_size * 0.95
  font_style: italic
  # FIXME perhaps set line_height instead of / in addition to margins?
  margin_inside: $vertical_rhythm / 3
  #margin_inside: $vertical_rhythm / 4
  margin_outside: 0
lead:
  font_size: $base_font_size_large
  line_height: 1.4
abstract:
  font_color: 5C6266
  font_size: $lead_font_size
  line_height: $lead_line_height
  font_style: italic
  first_line_font_style: bold
  title:
    align: center
    font_color: $heading_font_color
    font_size: $heading_h4_font_size
    font_style: $heading_font_style
admonition:
  column_rule_color: $base_border_color
  column_rule_width: $base_border_width
  padding: [0, $horizontal_rhythm, 0, $horizontal_rhythm]
  # icon:
  #   caution:
  #     name: far-lightbulb
  #     name: fa-fire
  #     stroke_color: 111111
  #     size: 24
  label:
    text_transform: uppercase
    font_style: bold
    # caution:
    #   font_color: F77D05
blockquote:
  font_size: $base_font_size_large
  border_color: $base_border_color
  border_width: 0
  border_left_width: 5
  # FIXME disable negative padding bottom once margin collapsing is implemented
  padding: [0, $horizontal_rhythm, $block_margin_bottom * -0.75, $horizontal_rhythm + $blockquote_border_left_width / 2]
  cite_font_size: $base_font_size_small
  cite_font_color: 999999
verse:
  font_size: $blockquote_font_size
  border_color: $blockquote_border_color
  border_width: $blockquote_border_width
  border_left_width: $blockquote_border_left_width
  padding: $blockquote_padding
  cite_font_size: $blockquote_cite_font_size
  cite_font_color: $blockquote_cite_font_color
# code is used for source blocks (perhaps change to source or listing?)
code:
  font_color: $base_font_color
  #font_color: FFFFFF
  font_family: $literal_font_family
  font_size: ceil($base_font_size)
  padding: $code_font_size
  line_height: 1.25
  # line_gap is an experimental property to control how a background color is applied to an inline block element
  line_gap: 3.8
  background_color: F5F5F5
  background_color: F8F8F8
  #background_color: 6C757D
  border_color: CCCCCC
  border_radius: $base_border_radius
  border_radius: 0
  border_width: 0.75
  border_width: 0
conum:
  font_family: $literal_font_family
  font_color: $literal_font_color
  font_size: $base_font_size
  line_height: 4 / 3
  glyphs: circled
example:
  border_color: $base_border_color
  border_radius: $base_border_radius
  border_width: 0.75
  background_color: $page-background-color
  # FIXME reenable padding bottom once margin collapsing is implemented
  padding: [$vertical_rhythm, $horizontal_rhythm, 0, $horizontal_rhythm]
image:
  align: left
prose:
  margin_top: $block_margin_top
  margin_bottom: $block_margin_bottom
sidebar:
  background_color: EEEEEE
  border_color: E1E1E1
  border_radius: $base_border_radius
  border_width: $base_border_width
  # FIXME reenable padding bottom once margin collapsing is implemented
  padding: [$vertical_rhythm, $vertical_rhythm * 1.25, 0, $vertical_rhythm * 1.25]
  title:
    align: center
    font_color: $heading_font_color
    font_size: $heading_h4_font_size
    font_style: $heading_font_style
thematic_break:
  border_color: $base_border_color
  border_style: solid
  border_width: $base_border_width
  margin_top: $vertical_rhythm * 0.5
  margin_bottom: $vertical_rhythm * 1.5
description_list:
  term_font_style: bold
  term_spacing: $vertical_rhythm / 4
  description_indent: $horizontal_rhythm * 1.25
outline_list:
  indent: $horizontal_rhythm * 1.5
  #marker_font_color: 404040
  # NOTE outline_list_item_spacing applies to list items that do not have complex content
  item_spacing: $vertical_rhythm / 2
table:
  background_color: $page_background_color
  border_color: DDDDDD
  border_width: $base_border_width
  cell_padding: 3
  head:
    font_style: bold
    border_bottom_width: $base_border_width * 2.5
  body:
    stripe_background_color: F9F9F9
  foot:
    background_color: F0F0F0
toc:
  indent: $horizontal_rhythm
  line_height: $base_line_height
  dot_leader:
    #content: ". "
    font_color: A9A9A9
    #levels: 2 3
footnotes:
  font_size: round($base_font_size * 0.75)
  item_spacing: $outline_list_item_spacing / 2
header:
  # Can't show chapter number. See https://github.com/asciidoctor/asciidoctor-pdf/issues/1373
  font_size: $base_font_size_small
  line_height: 1
  vertical_align: middle
footer:
  font_size: $base_font_size_small
  # NOTE if background_color is set, background and border will span width of page
  #border_color: DDDDDD
  border_width: 0.25
  #height: $base_line_height_length * 2.5
  height: $base_line_height_length * 5
  line_height: 1
  padding: [$base_line_height_length / 2, 1, 0, 1]
  vertical_align: top
  recto: &shared_footer
    #columns: "<50% =0% >50%"
    left:
      content: 'Copyright © Inverse inc.'
    center:
      content: '{chapter-title}'
    right:
      content: '{page-number}'
  verso: *shared_footer
    #columns: $footer_recto_columns
